## fo-char

fo-char —

## Synopsis

                FoChar;
                FoCharClass;
    FoDatatype* fo_char_new                     (void);
    FoDatatype* fo_char_new_with_value          (const gchar *value);
    const gchar* fo_char_get_value              (FoDatatype *fo_char);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoDatatype
                   +----FoChar

## Properties

      "value"                gchararray            : Read / Write / Construct Only

## Description

## Details

### FoChar

    typedef struct _FoChar FoChar;

### FoCharClass

    typedef struct _FoCharClass FoCharClass;

### fo_char_new ()

    FoDatatype* fo_char_new                     (void);

Creates a new FoChar initialized to default value.

Returns : | the new FoChar.

### fo_char_new_with_value ()

    FoDatatype* fo_char_new_with_value          (const gchar *value);

Creates a new FoChar set to `value`.

`value` : | String value of the new FoChar.
Returns : | The new FoChar.

### fo_char_get_value ()

    const gchar* fo_char_get_value              (FoDatatype *fo_char);

Get the value of `fo_char`.

`fo_char` : | FoChar.
Returns : | String value of `fo_char`.

## Property Details

### The "`value`" property

      "value"                gchararray            : Read / Write / Construct Only

FoChar value.

Default value: NULL